Retrieve a dependency scan result

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/static-analysis-sca/dependencies/scan/{job_id}https://api.ap2.datadoghq.com/api/v2/static-analysis-sca/dependencies/scan/{job_id}https://api.datadoghq.eu/api/v2/static-analysis-sca/dependencies/scan/{job_id}https://api.ddog-gov.com/api/v2/static-analysis-sca/dependencies/scan/{job_id}https://api.us2.ddog-gov.com/api/v2/static-analysis-sca/dependencies/scan/{job_id}https://api.datadoghq.com/api/v2/static-analysis-sca/dependencies/scan/{job_id}https://api.us3.datadoghq.com/api/v2/static-analysis-sca/dependencies/scan/{job_id}https://api.us5.datadoghq.com/api/v2/static-analysis-sca/dependencies/scan/{job_id}

Overview

OAuth apps require the code_analysis_read authorization scope to access this endpoint.

Arguments

Path Parameters

Name

Type

Description

job_id [required]

string

The job identifier returned when the scan was submitted.

Response

OK

The raw scan result document produced by the SCA processor. The contents reflect the vulnerabilities and metadata produced for the libraries submitted in the original scan request.

Expand All

Field

Type

Description

Option 1

object

An arbitrary object value with additional properties.

{}

Not Found

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Path parameters
export job_id="0190a3d4-1234-7000-8000-000000000000"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/static-analysis-sca/dependencies/scan/${job_id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"